package cn.iocoder.yudao.module.llm.dal.mysql.dataset;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;

import cn.iocoder.yudao.module.llm.controller.admin.dataset.vo.DatasetFilesPageReqVO;
import cn.iocoder.yudao.module.llm.dal.dataobject.dataset.DatasetFilesDO;
import org.apache.ibatis.annotations.Mapper;


/**
 * 数据集数据文件 Mapper
 *
 * @author 华大大模型
 */
@Mapper
public interface DatasetFilesMapper extends BaseMapperX<DatasetFilesDO> {

    default PageResult<DatasetFilesDO> selectPage(DatasetFilesPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<DatasetFilesDO>()
                .eqIfPresent(DatasetFilesDO::getDatasetId, reqVO.getDatasetId())
                .eqIfPresent(DatasetFilesDO::getDataLength, reqVO.getDataLength())
                .eqIfPresent(DatasetFilesDO::getDatasetFile, reqVO.getDatasetFile())
                .eqIfPresent(DatasetFilesDO::getDatasetFileUrl, reqVO.getDatasetFileUrl())
                .betweenIfPresent(DatasetFilesDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(DatasetFilesDO::getId));
    }

}